#

API Docs for: 1.4.0
Show: Inherited Protected Private Deprecated

# BaseTexture Class

Uses

- EventTarget

Defined in: `src/pixi/textures/BaseTexture.js:9`
Module: PIXI

A texture stores the information that represents an image. All textures have a base texture

## Constructor

### `BaseTexture`

(

- `source`

)

Defined in `src/pixi/textures/BaseTexture.js:9`

#### Parameters:

- `source` String

  the source object (image or canvas)

- Index
- Methods
- Properties

## Item Index

### Methods

- destroy
- destroy
- fromImage static

### Properties

- hasLoaded
- height
- scaleMode
- source
- width

## Methods

### `destroy`

()

Defined in `src/pixi/textures/BaseTexture.js:113`

Destroys this base texture

### `destroy`

()

Defined in `src/pixi/textures/BaseTexture.js:131`

### `fromImage`

(

- `imageUrl`

)
static

Defined in `src/pixi/textures/BaseTexture.js:144`

Helper function that returns a base texture based on an image url If the image is not in the base texture cache it will be created and loaded

#### Parameters:

- `imageUrl` String

  The image url of the texture

#### Returns:

BaseTexture

## Properties

### `hasLoaded`

Boolean

Defined in `src/pixi/textures/BaseTexture.js:47`

[read-only] Describes if the base texture has loaded or not

### `height`

Number

Defined in `src/pixi/textures/BaseTexture.js:30`

[read-only] The height of the base texture set when the image has loaded

### `scaleMode`

PIXI.BaseTexture.SCALE_MODE

Defined in `src/pixi/textures/BaseTexture.js:39`

The scale mode to apply when scaling this texture

Default: PIXI.BaseTexture.SCALE_MODE.LINEAR

### `source`

Image

Defined in `src/pixi/textures/BaseTexture.js:56`

The source that is loaded to create the texture

### `width`

Number

Defined in `src/pixi/textures/BaseTexture.js:21`

[read-only] The width of the base texture set when the image has loaded